### Method

# Gtk DropDown set_expression

#### Declaration [src]

    void
    gtk_drop_down_set_expression (
      GtkDropDown* self,
      GtkExpression* expression
    )

#### Description [src]

Sets the expression that gets evaluated to obtain strings from items.

This is used for search in the popup. The expression must have a value type of `G_TYPE_STRING`.

Sets property | `Gtk.DropDown:expression`

#### Parameters

`expression`

  Type: `GtkExpression`

  A `GtkExpression`

  The argument can be `NULL`.
  The data is owned by the caller of the method.